<?php
/**
 * -----------------------------------------
 * @since 2.00 - 01.12.2013
 * @version 2.00
 * @link http://www.kontaktformular-script.de/
 * @author Nico Schubert / SchubertMedia
 * @abstract E-Mail: info@schubertmedia.de
 *
 * @copyright Es ist untersagt den Copyright Hinweis zu entfernen bei den Kontaktformular Script.
 * @abstract Eine Copyright freie Version knnen Sie fr einmalig 20 ,- EUR inkl. 19% MwSt. erwerben, hierzu mchten wir Sie bitten das Bestellformular http://www.kontaktformular-script.de/bestellen.php zu nutzen.
 * -----------------------------------------
 */
error_reporting(0);
$a='';
$ausgabe='';
$content='';
$content_header='';
$content_footer='';
$content_ausgabe='';
$v_vorname='';
$v_nachname='';
$v_email='';
$v_nachricht='';
$fehler='';
if(@file_exists('./inc/config.php')==true){
	include_once('./inc/config.php');
} else {
	echo 'The file: ./inc/config.php is not present!';
	exit;
}
if(@file_exists(DIR.'/inc/functions.php')==true){
	include_once(DIR.'/inc/functions.php');
} else {
	echo 'The file: '.DIR.'/inc/functions.php is not present!';
	exit;
}
if(headers_sent()==false AND CHARSET!=''){
	header('Content-type: text/html; charset='.CHARSET.';');
}
if(@file_exists(LANGUAGE_DIR.'/index.php')==true){
	include_once(LANGUAGE_DIR.'/index.php');
} else {
	echo 'The language: '.LANGUAGE_DIR.'/index.php file is not present!';
	exit;
}
if(@file_exists(TEMPLATE_DIR.'/template.html')==true){
	$content=@file_get_contents(TEMPLATE_DIR.'/template.html');
} else {
	echo str_replace('__file__', 'template.html', $txt2['tpl_not_exist']);
	exit;
}
if(@file_exists(TEMPLATE_DIR.'/header.html')==true){
	$content_header=@file_get_contents(TEMPLATE_DIR.'/header.html');
} else {
	echo str_replace('__file__', 'header.html', $txt2['tpl_not_exist']);
	exit;
}
if(@file_exists(TEMPLATE_DIR.'/footer.html')==true){
	$content_footer=@file_get_contents(TEMPLATE_DIR.'/footer.html');
} else {
	echo str_replace('__file__', 'footer.html', $txt2['tpl_not_exist']);
	exit;
}
if(!isset($_POST['ajax'])) $_POST['ajax']='0'; else $_POST['ajax']=sprintf("%d",$_POST['ajax']);
if($_POST['ajax'] ==1){
	$errors['show_java_alert']=SHOW_JAVA_ALERT;
	echo (array_to_json($errors));
	exit;
}
$show_form=true;
if(isset($_POST['senden'])==true){
	$v_vorname=$_POST['vorname'];
	$v_nachname=$_POST['nachname'];
	$v_email=$_POST['email'];
	$v_nachricht=$_POST['nachricht'];
	$v_email = preg_replace( "/[^a-z0-9 !?:;,.\/_\-=+@#$&\*\(\)]/im", "",  $v_email );
    $v_email = preg_replace( "/(content-type:|bcc:|cc:|to:|from:-)/im", "",   $v_email);
	if(empty($v_vorname)){
		$fehler=$errors['vorname'];
	} elseif(empty($v_nachname)){
		$fehler=$errors['nachname'];
	} elseif(empty($v_email)||!check_email($v_email)){
		$fehler=$errors['email'];
	} elseif(empty($v_nachricht)){
		$fehler=$errors['nachricht'];
	} else{
		$show_form=false;
		$data=array();
		$data['ip'] = $_SERVER['REMOTE_ADDR'];
		$data['host'] = gethostbyaddr($data['ip']);
		$data['browser'] = $_SERVER['HTTP_USER_AGENT'];
		$data['ref'] =(($_SERVER['REQUEST_URI']!='')? $_SERVER['REQUEST_URI'] : '-');
		$data['ref2'] = (($_SERVER['HTTP_REFERER']!='')? $_SERVER['HTTP_REFERER'] : '-');
		$data['name_webseite']=NAME_WEBSEITE;

		if(@file_exists(LANGUAGE_DIR.'/email_admin.txt')==true){
			$email_admin=@file_get_contents(LANGUAGE_DIR.'/email_admin.txt');
		} else {
			echo str_replace('__file__', LANGUAGE_DIR.'/email_admin.html', $txt2['language_not_exist']);
			exit;
		}

		if(@file_exists(LANGUAGE_DIR.'/email_kunde.txt')==true) {
			$email_kunde=@file_get_contents(LANGUAGE_DIR.'/email_kunde.txt');
		} else {
			echo str_replace('__file__', LANGUAGE_DIR.'/email_kunde.html', $txt2['language_not_exist']);
			exit;
		}
		if(is_array($txt)==true){
			foreach($txt as $n=>$w)	{
				$n=strtoupper($n);
				$l=strtolower($n);
				$email_admin=str_replace("{V_".$n."}",${"v_$l"},$email_admin);
				$email_kunde=str_replace("{V_".$n."}",${"v_$l"},$email_kunde);
			}
		}
		if(is_array($data)==true){
			foreach($data as $n=>$w){
				$n=strtoupper($n);
				$email_admin=str_replace("{".$n."}",$w,$email_admin);
				$email_kunde=str_replace("{".$n."}",$w,$email_kunde);
			}
		}
		$header  = "";
        $header .= "Content-Transfer-Encoding: 7bit\r\n";
        $header .= "FROM: ".NAME_ANSENDEN."<".EMAIL_ABSENDEN.">\r\n";
        $header .= "Reply-To: ".NAME_ANSENDEN."<".EMAIL_ABSENDEN.">\r\n";
        $sent_kunde=@mail($v_email, str_replace('__name_webseite__', NAME_WEBSEITE, $mail_data['betreff_kunde']), clean_umlaute($email_kunde), $header);
        $header  = "";
		$header .= "Content-Transfer-Encoding: 7bit\r\n";
        $header .= "FROM: ".$v_email."\r\n";
        $sent_admin=@mail(EMAIL_ADMIN, str_replace('__name_webseite__', NAME_WEBSEITE,$mail_data['betreff_admin']), clean_umlaute($email_admin), $header);
     	if($sent_admin===true && $sent_kunde === true) {
			$ausgabe.= $txt2['erfolg'];
     	} else{
			$ausgabe.= "<span class=\"error\">".$errors['nachricht_senden']."</span>";
			$show_form=true;
		}
	}
}
$content_ausgabe= str_replace(array("{TPL_DIR}", "{CHARSET}", "{TITLE_FORMULAR}"),array(str_replace(DIR.'/', '', TEMPLATE_DIR),CHARSET, TITLE_FORMULAR),$content_header);
if($fehler!=''){
	$content_ausgabe.= '<span class="error">'.$fehler.'</span>';
}
$content_ausgabe.= $ausgabe;
if($show_form===true){
	if(is_array($txt)==true){
		foreach($txt as $n=>$w)	{
			$n=strtoupper($n);
			$l=strtolower($n);
			$content=str_replace(array("{".$n."}","{V_".$n."}"),array($w,${"v_$l"}),$content);
		}
	}
	$content_ausgabe.= str_replace(array("{SUBMIT}","{TPL_DIR}"),array($txt2['submit'],str_replace(DIR.'/', '', TEMPLATE_DIR)),$content);
}
$content_ausgabe.= str_replace(array("{TPL_DIR}", "{CHARSET}"),array(str_replace(DIR.'/', '', TEMPLATE_DIR),CHARSET),$content_footer);
eval (base64_decode('JGE9YmFzZTY0X2RlY29kZSgnUENFdExTQXRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTM
HRMUzB0RFFvZwpSR0Z6SUVOdmNIbHlhV2RvZENBb1RHbHVheWtnWkdGeVppQnVhV05vZENCbGJuUm1aWEp1ZENCM1pYSmtaVzR1SUEwS0lDMHRMUzB0CkxTMHRMUzB0TFMwdEx
TMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwZ0xTMCtEUXBUWTNKcGNIUWcKWW5rZ1BHRWdhSEpsWmowaWFIUjBjRG92TDNkM2R5NXJiMjUwW
Vd0MFptOXliWFZzWVhJdGMyTnlhWEIwTG1SbEx5SWdkR0Z5WjJWMApQU0pmWW14aGJtc2lQa3R2Ym5SaGEzUkdiM0p0ZFd4aGNpMVRZM0pwY0hRdVpHVThMMkUrRFFvOElTMHR
JQzB0TFMwdExTMHRMUzB0CkxTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdExTME5DaUJFWVhNZ1EyOXdlWEpwWjJoMElDaE0KYVc1cktTQ
mtZWEptSUc1cFkyaDBJR1Z1ZEdabGNtNTBJSGRsY21SbGJpNGdJQTBLSUMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFMwdApMUzB0TFMwdExTMHRMUzB0TFMwdExTMHRMUzB0TFM
wdExTMHRMUzB0TFQ0PScpO2VjaG8gc3RyX3JlcGxhY2UoJzwvYm9keT4nLCAKJzxwIHN0eWxlPSJmb250LXNpemU6MTBweDttYXJnaW46IDI1cHggMCAwIDA7Ij4nLiRhLic8L
3A+PC9ib2R5PicsICRjb250ZW50X2F1c2dhYmUpOw=='));
?>